summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-09-19 19:12:40 +0200
committerManuel Rüger <mrueg@gentoo.org>2017-09-19 19:14:25 +0200
commitd44b6a82f886bfef298e1dd487663ca91639db87 (patch)
tree1008585ed65e6cff82e5e3910cc74c6568e4e983 /x11-misc
parentprofiles: kde-apps/pykde4 stray (diff)
downloadgentoo-d44b6a82f886bfef298e1dd487663ca91639db87.tar.gz
gentoo-d44b6a82f886bfef298e1dd487663ca91639db87.tar.bz2
gentoo-d44b6a82f886bfef298e1dd487663ca91639db87.zip
x11-misc/shared-mime-info: Version bump to 1.9
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'x11-misc')
-rw-r--r--x11-misc/shared-mime-info/Manifest1
-rw-r--r--x11-misc/shared-mime-info/shared-mime-info-1.9.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/x11-misc/shared-mime-info/Manifest b/x11-misc/shared-mime-info/Manifest
index a79541dae99..8db560290a3 100644
--- a/x11-misc/shared-mime-info/Manifest
+++ b/x11-misc/shared-mime-info/Manifest
@@ -1,2 +1,3 @@
DIST shared-mime-info-1.4.tar.xz 537916 SHA256 bbc0bd023f497dfd75e1ca73441cbbb5a63617d9e14f2790b868361cc055b5b1 SHA512 ac643a5360c1e4811b2df8e3c52434e5ee48f8e62a01ede3fb0895d30721b58b5b26c0edc43f779576ff899bd1a8b181699a08dbbb1e956394555f6ca983a582 WHIRLPOOL 32cb301cd54140b83af8c321b7ebc571b87b07ca86bfc68e6760e4dd3551188a092a96087042b13f1278c11cd88c261879fc816d0c2efcbee473211d929194bf
DIST shared-mime-info-1.8.tar.xz 589444 SHA256 2af55ef1a0319805b74ab40d331a3962c905477d76c086f49e34dc96363589e9 SHA512 e3fd57898ca85033a29f17d075b9a18a6ebee14db5f996183fd1183a6c6382c3d10c74cd1863563cd031359937ab95c886909ba6f9d7ecc8f2056464673b5fff WHIRLPOOL e54c9f8728b78bef89fdc8b71a3e42db1669dac247b2fa1180cc73acb397ee7030235dc7cb2631af62fc4633f2ca290d2863c10e1a03127f77b43917f4fe6164
+DIST shared-mime-info-1.9.tar.xz 607648 SHA256 5c0133ec4e228e41bdf52f726d271a2d821499c2ab97afd3aa3d6cf43efcdc83 SHA512 b4ab7bfec4cbc827fe0d459040967afb714c073ad27ec9ad46e51ebc49c56b2a85501a3c8c5c199b4cb5359fc46580d6f2dfdb49da1670216d5d2b56758de491 WHIRLPOOL d2b81eb694df5376c727c5060a390282b3519197e284ef99e093a3af8ee25d70e66a0090743de9cac6a8bb8a59e9467abf1be184cc37d9f1b17f39679af37156
diff --git a/x11-misc/shared-mime-info/shared-mime-info-1.9.ebuild b/x11-misc/shared-mime-info/shared-mime-info-1.9.ebuild
new file mode 100644
index 00000000000..4a80c6a5def
--- /dev/null
+++ b/x11-misc/shared-mime-info/shared-mime-info-1.9.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit xdg-utils
+
+DESCRIPTION="The Shared MIME-info Database specification"
+HOMEPAGE="https://freedesktop.org/wiki/Software/shared-mime-info"
+SRC_URI="https://people.freedesktop.org/~hadess/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+
+RDEPEND=">=dev-libs/glib-2
+ dev-libs/libxml2"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+DOCS=( ChangeLog HACKING NEWS README )
+
+src_configure() {
+ export ac_cv_func_fdatasync=no #487504
+
+ econf \
+ $(use_enable test default-make-check) \
+ --disable-update-mimedb
+}
+
+src_compile() {
+ # FIXME: 0.91 fails with -j9 every second time like:
+ # update_mime_database-update-mime-database.o: file not recognized: File truncated
+ # collect2: ld returned 1 exit status
+ emake -j1
+}
+
+src_install() {
+ default
+
+ # in prefix, install an env.d entry such that prefix patch is used/added
+ if use prefix; then
+ echo "XDG_DATA_DIRS=\"${EPREFIX}/usr/share\"" > "${T}"/50mimeinfo || die
+ doenvd "${T}"/50mimeinfo
+ fi
+}
+
+pkg_postinst() {
+ use prefix && export XDG_DATA_DIRS="${EPREFIX}"/usr/share
+ xdg_mimeinfo_database_update
+}